Ticket #33099

点字出力を使うとリッチテキスト編集で Shift+上矢印による複数行選択ができない

Open Date: 2014-02-06 10:59 Last Update: 2018-04-30 19:27

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

点字出力を使うとリッチテキスト編集で Shift+上矢印による複数行選択ができないというご指摘がありました。

開発スナップショットでいただいたご報告(#33071)ですが、以下の状況で再現しました。

  • Windows 8.1 64ビット
  • KGS BM46 USB 接続, BM ユーティリティ 6.0
  • NVDA 2013.3jp インストール環境
  • 点字設定:日本語の出力テーブル、ドライバーは KGS BM シリーズ
  • ワードパッド、NVDA 日本語版のログビューワー

具体的には、エディットの一番下の行から Shift+上矢印を押すたびに、1行選択される、選択が解除されてキャレットが1行上に移動する、また1行選択される、といった挙動になっています。

本家のチケットに関連情報があるか調べてみます。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2014-02-06 10:59 Updated by: nishimoto
  • New Ticket "点字出力を使うとリッチテキスト編集で Shift+上矢印による複数行選択ができない" created
2014-06-13 21:40 Updated by: nishimoto
Comment

以下を確認しました。

  • 最近のソースコード(2014.3jpに向けた作業版)でも本件が解決していない
  • Windows 7 でも起きる
  • ダミー点字ドライバでも起きる(点字なしにすると起きない)
  • 点字テーブルは日本語でなくても起きる
  • Shift+左矢印で複数文字を選択した場合にも似たような不具合がある
2018-04-30 19:27 Updated by: nishimoto
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
  • Component Update from (None) to 本家
  • Details Updated
Comment

Windows 10 (1709) + ワードパッド + NVDA 2018.2jp-beta-180430r + dummy braille で確認して、 この問題が再現されないことを確認しました。 本件報告後の本家版の修正で解決したと思うのですが、 チケットを整理するのが遅くなってすみませんでした。

(Edited, 2018-04-30 19:27 Updated by: nishimoto)

Edit

Please login to add comment to this ticket » Login